sensorfw: ProximityAdaptorEvdev Class Reference

sensorfw

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ProximityAdaptorEvdev Class Reference

Adaptor for proximity sensor. More...

`#include <proximityadaptor-evdev.h>`

Inheritance diagram for ProximityAdaptorEvdev:

## Public Types
enum | ProximityState { ProximityStateUnknown = -1 , ProximityStateOpen = 0 , ProximityStateClosed = 1 }

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of ProximityAdaptorEvdev class.

## Protected Member Functions
| ProximityAdaptorEvdev (const QString &id)
| Constructor.
| ~ProximityAdaptorEvdev ()

## Detailed Description

Adaptor for proximity sensor.

Events are received through evdev kernel interface.

Listening clients are notified whenever the state has changed.

Definition at line 43 of file proximityadaptor-evdev.h.

## Member Enumeration Documentation

## ◆ ProximityState

enum ProximityAdaptorEvdev::ProximityState

Enumerator
ProximityStateUnknown | Proximity state unknown.
ProximityStateOpen | Proximity open (no target detected)
ProximityStateClosed | Proximity closed (target nearby)

Definition at line 48 of file proximityadaptor-evdev.h.

## Constructor & Destructor Documentation

## ◆ ProximityAdaptorEvdev()

ProximityAdaptorEvdev::ProximityAdaptorEvdev | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~ProximityAdaptorEvdev()

ProximityAdaptorEvdev::~ProximityAdaptorEvdev | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * ProximityAdaptorEvdev::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of ProximityAdaptorEvdev class.

Parameters

  id | Identifier for the adaptor.

Definition at line 58 of file proximityadaptor-evdev.h.

## ◆ resume()

virtual bool ProximityAdaptorEvdev::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool ProximityAdaptorEvdev::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool ProximityAdaptorEvdev::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void ProximityAdaptorEvdev::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/proximityadaptor-evdev/proximityadaptor-evdev.h